Auto-hide warning indicator after X minutes
Status: Closed Start date: 2014-07-22
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 1.15

Description

There should be an option to automatically dismiss the alert about warnings/errors, so that it doesn't hang around indefinitely if the
user chooses to ignore it. The default could be ~3 minutes.

Related issues:
Related to Feature #1891: Notification area animations Progressed 2014-10-28

Associated revisions

Revision e6d0caab - 2014-10-27 20:07 - skyjake

Client|Ul: Auto-hide the alert notification (default: 3 mins)
The config variable is 'Config.alert.autoHide'.

IssuelD #1848

History

#1 - 2014-10-27 20:08 - skyjake
- Status changed from New to Closed

- % Done changed from 0 to 100

#2 - 2014-10-27 21:02 - danij

There is a potential for miscommunication of the status of the alert(s) with this kind of mechanism. If an uneducated user sees the alert simply
disappear of its own accord after a few minutes it could be misconstrued as the problem having "fixed itself".

Maybe instead of simply disappearing when the timer is up, the indicator could instead fade away slowly? Visually, this would suggest (to me at least)
that the issue remains but that we're forgetting about it because clearly the user isn't interested.

After having hidden itself, it should also be possible to reveal the alerts again, later.

#3 - 2014-10-27 22:01 - danij

Another minor improvement I'd like to see is for the indicator to "flex" when a new alert first occurs. Presently, if an alert is already waiting there is no
visual indication that a new alert has occurred other than a color change when switching from "viewed previous" to "new alert" state (i.e., if the user
hasn't yet viewed the previous alert they will have no idea that another has arrived since).

#4 - 2014-10-28 11:43 - skyjake

- Related to Feature #1891: Notification area animations added

#5 - 2014-10-28 11:45 - skyjake

| added #1891 to cover overall improvements to the notification area, as these are not specific to the alerts as such.
danij wrote:

After having hidden itself, it should also be possible to reveal the alerts again, later.

True, that would be nice to have. However, since all of the warnings are visible in the log history, | don't see this as a very high priority feature.
